felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bram de Kruijff" <br...@gx.nl>
Subject maven-plugin: pom.version -> Bundle-Version
Date Tue, 28 Nov 2006 09:23:47 GMT
Hi,

I ran into a small issue using the maven-plugin and a maven archetype
that used a default version of 1.0-SNAPSHOT.

The mojo transalates '1.0-SNAPSHOT' to '1.0.SNAPSHOT'.
Felix.createModule will pass this to Version.parseVersion and this will
result in a NumberFormatExceprtion cause the implementation of Version
expects major('.'minor('.'micro('.'qualifier)?)?)? :(

R4 spec says: 'If the minor or micro version components are not
specified, they have a default value of 0'. So I guess the
implementation of org.osgi.framework.Version.parseVersion is 'limited'.

I would be happy to contribute a small patch to JIRA but I'm not sure if
and/or what hould be done :)

1) Don't complain always add micro when you need a qualifier.
2) Let mojo add 0-values for missing minor/micro version components.
3) Implement own Felix parseVersion.

regards,
Bram

--
Bram de Kruijff
<GX> creative online development B.V.
 
t: 024 - 3888 261
f: 024 - 3888 621
e: bramk@gx.nl
 
Wijchenseweg 111
6538 SW Nijmegen
http://www.gx.nl/ 

Mime
View raw message